# MagickCore, C API: The Image Registry @ ImageMagick
ImageMagick® is a software suite to create, edit, compose, or convert bitmap images. It can read and write images in a variety of formats (over 200) including PNG, JPEG, JPEG-2000, GIF, WebP, Postscript, PDF, and SVG. Use ImageMagick to resize, flip, mirror, rotate, distort, shear and transform images, adjust image colors, apply various special effects, or draw text, lines, polygons, ellipses and Bézier curves.
Author: ImageMagick Studio LLC
Keywords: magickcore, c, api:, the, image, registry, ImageMagick, PerlMagick, image processing, image, photo, software, Magick++, OpenMP, convert

DefineImageRegistry • DeleteImageRegistry • GetImageRegistry • GetNextImageRegistry • RegistryComponentTerminus • RemoveImageRegistry • ResetImageRegistryIterator • SetImageRegistry

## DefineImageRegistry

DefineImageRegistry() associates a key/value pair with the image registry.

The format of the DefineImageRegistry method is:

    MagickBooleanType DefineImageRegistry(const RegistryType type,
      const char *option,ExceptionInfo *exception)

A description of each parameter follows:

type
  the type.
option
  the option.
exception
  the exception.

## DeleteImageRegistry

DeleteImageRegistry() deletes a key from the image registry.

The format of the DeleteImageRegistry method is:

    MagickBooleanType DeleteImageRegistry(const char *key)

A description of each parameter follows:

key
  the registry.

## GetImageRegistry

GetImageRegistry() returns a value associated with an image registry key.

The format of the GetImageRegistry method is:

    void *GetImageRegistry(const RegistryType type,const char *key,
      ExceptionInfo *exception)

A description of each parameter follows:

type
  the type.
key
  the key.
exception
  the exception.

## GetNextImageRegistry

GetNextImageRegistry() gets the next image registry value.

The format of the GetNextImageRegistry method is:

    char *GetNextImageRegistry(void)

## RegistryComponentTerminus

RegistryComponentTerminus() destroys the registry component.

The format of the DestroyDefines method is:

    void RegistryComponentTerminus(void)

## RemoveImageRegistry

RemoveImageRegistry() removes a key from the image registry and returns its value.

The format of the RemoveImageRegistry method is:

    void *RemoveImageRegistry(const char *key)

A description of each parameter follows:

key
  the registry.

## ResetImageRegistryIterator

ResetImageRegistryIterator() resets the registry iterator. Use it in conjunction with GetNextImageRegistry() to iterate over all the values in the image registry.

The format of the ResetImageRegistryIterator method is:

    ResetImageRegistryIterator(void)

## SetImageRegistry

SetImageRegistry() associates a value with an image registry key.

The format of the SetImageRegistry method is:

    MagickBooleanType SetImageRegistry(const RegistryType type,
      const char *key,const void *value,ExceptionInfo *exception)

A description of each parameter follows:

type
  the type.
key
  the key.
value
  the value.
exception
  the exception.